from fastapi import APIRouter
from pydantic import BaseModel
from api.middleware.verify_token import VerifyTokenRoute

test_routes = APIRouter(route_class=VerifyTokenRoute)


class Test(BaseModel):
    test: str


@test_routes.post("/test")
def test(aux: Test):
    return aux.test
